// создаем канвас
function create_canvas() {
    var canvas_html = document.createElement('canvas');
    canvas_html.id = "canvas";
    canvas_html.width = 1200;
    canvas_html.height = 600;

    document.body.appendChild(canvas_html);

    return canvas_html.getContext('2d');
}

// запускается при загрузке страницы, подгружает канвас 
// и создает фигуру и точку, относительно которой будут производиться операции 
window.onload = function() {
    canvas = create_canvas();
    // координаты фигуры
    bird = [{
            'x': 10,
            'y': 80
        }, {
            'x': 50,
            'y': 160
        }, {
            'x': 90,
            'y': 80
        }, {
            'x': 50,
            'y': 130
        }, 
        ];
    // координаты точки
    center = {
        'x': 50,
        'y': 100
    }
    drawBird();
}

//рисует фигуру
function drawBird() {
    canvas.fillStyle = '#fff';
    canvas.beginPath();
    canvas.moveTo(670 + bird[0].x, 380 - bird[0].y);
    for(var d in bird){
        canvas.lineTo(670 + bird[d].x, 380 - bird[d].y);
    }
    canvas.closePath();
    canvas.fill();
}

//функция смещения
function move(x, y) {
    canvas.clearRect( 0 , 0 , 1200 , 600 );
    
    for(var d in bird){
        bird[d].x += x;
        bird[d].y += y;
    }
    center.x += x;
    center.y += y;
    drawBird();

}

//функция поворота
function turn(angle) {
    canvas.clearRect( 0 , 0 , 1200 , 600);
    for(var d in bird){
        temp = bird[d].x-center.x;
        bird[d].x = parseInt( (bird[d].x-center.x) * Math.cos(angle) - (bird[d].y - center.y)*Math.sin(angle)) + center.x;
        bird[d].y = parseInt( temp * Math.sin(angle) + (bird[d].y - center.y)*Math.cos(angle) ) + center.y;
    }
    drawBird();

}

//функция масштабирования
function scale(k) {
    canvas.clearRect( 0 , 0 , 1200 , 600 );
    for(var d in bird){
        bird[d].x = (bird[d].x-center.x) * k + center.x;
        bird[d].y = (bird[d].y-center.y) * k + center.y;
    }
    drawBird();

}

